Page MenuHomePhabricator

Rename TimeParser
Closed, ResolvedPublic

Description

From https://github.com/DataValues/Time/pull/39

Two main reasons for the rename:

  1. We do have two parser with the same name TimeParser, which is at least confusing and will turn out do be a problem if we ever try to move both into the same component. The other TimeParser in lib does have it's name for a good reason: It's the generic "head" parser that does nothing but call all the other, specific parsers.
  2. This parser is not a generic "time" parser, it's very specific: It can only parse strings that are (or resemble) ISO timestamps.

I suggest to call this an "ISO" parser even if we are trying to avoid the word "ISO" (see T88438 and related) because this parser can parse ISO and stuff that resembles but is not ISO.

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 5:09 PM
daniel added a subscriber: daniel.Mar 30 2015, 1:13 PM

Travis is failing on this across the borad:

PHP Fatal error: Class 'ValueParsers\Test\TimeParser' not found in /home/travis/build/DataValues/Time/tests/ValueParsers/IsoTimestampParserTest.php on line 64

Tobi_WMDE_SW closed this task as Resolved.Apr 1 2015, 7:44 AM
Tobi_WMDE_SW moved this task from Doing to Done on the § Wikidata-Sprint-2015-03-24 board.

Change 201459 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Make tests independend from TimeParser class constants

https://gerrit.wikimedia.org/r/201459

Change 201459 merged by jenkins-bot:
Make tests independend from TimeParser class constants

https://gerrit.wikimedia.org/r/201459